%define major 0
%define libname %mklibname lxc %{major}
%define develname %mklibname lxc -d

Name:		lxc
Version:	0.7.4
Release:	%mkrel 2
Summary:	Linux Containers
URL:		http://lxc.sourceforge.net
Source:		http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Group:		System/Kernel and hardware
License:	LGPLv2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	libcap-devel docbook-utils kernel-devel-latest automake libtool

%description
The package "%{name}" provides the command lines to create and manage
containers.  It contains a full featured container with the isolation
/ virtualization of the pids, the ipc, the utsname, the mount points,
/proc, /sys, the network and it takes into account the control groups.
It is very light, flexible, and provides a set of tools around the
container like the monitoring with asynchronous events notification,
or the freeze of the container. This package is useful to create
Virtual Private Server, or to run isolated applications like bash or
sshd.

%package -n %{libname}
Summary:	Library for LXC
Group:		System/Libraries

%description -n %{libname}
Library for the Linux Kernel Containers.

%package -n %{develname}
Summary:	Developement files for LXC
Group:		Development/Libraries
%description -n %{develname}
Developement files for the Linux Kernel Containers.

%package        doc
Summary:        Documentation for %{name}
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains documentation for %{name}.

%prep
%setup -q

%build
#FIXME: doc should be enabled
./autogen.sh
%configure2_5x F77=no
%{__sed} -i '/AM_LDFLAGS = -Wl,-E -Wl,-rpath -Wl,$(libdir)/d' src/lxc/Makefile.in
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall templatesdir=%{buildroot}/usr/lib/lxc/templates READMEdir={buildroot}/usr/lib/lxc/rootfs

%files
%defattr(-,root,root)
%doc README MAINTAINERS NEWS TODO ChangeLog AUTHORS CONTRIBUTING COPYING
%{_defaultdocdir}/%{name}/examples
%{_bindir}/lxc-*
%{_libdir}/lxc/lxc-init
/usr/lib/lxc/templates/*
%{_mandir}/man*/%{name}*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lxc
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_datadir}/pkgconfig/%{name}.pc

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}


%changelog
* Mon Mar 07 2011 saispo <saispo> 0.7.4-2.mga1
+ Revision: 65992
- Bump release
- Fix template installation
- Add doc and fix build
- New release 0.7.4

  + boklm <boklm>
    - add SOURCES directory
    - add lxc

